Mis apuntes
Leonardo D. A. Allende Pasten

Instalar Plesk 8.1.0 con php4 en SuSE 10.1

Para aquellos que aun quieren al php4 como modulo de apache2 en Plesk 8.1.0 este tuto les ayudara a realizarlo en una distro SuSE 10.1.

1.-Usaremos el autoinstall de plesk, en mi caso seria:

psa_installer_v3.1.0_build061201.02_os_SuSE_10.0_x86_64

este paquete es pequeño ( 2.7M); ojo que yo estoy bajando el paquete que corresponde a mi distro.

pueden usar curl para descargarlo directamente a server

curl -L -C – -O URL-DEL-PAQUETE

2.- Una vez descargado vuelvanlo ejecutable

chmod +x nombre_del_paquete

3.- Luego de esta accion ejecutenlo:

./nombre_del_paquete

Les aparecera una serie acciones optativas, ustedes solo apreten ENTER, ENTER, ENTER.

4.- Listo ya tienen el PLESK 8.1.0 instalado, pero con el php5

6.- Desintalen con yast o con la linea de comandos rpm todos los paquetes que corresponden a ph5

para saber que paquetes tienen, usen lo siguiente:

rpm -qa | grep php

les saldra la lista de todos los paquetes php5.

Al tratar de desinstalar los paquetes, les presentara errores de dependencia para evitar esto en linea de comando tienen que poner lo siguiente:

rpm -e –nodeps nombre-del-paquete

realizar esto hasta que ‘rpm -qa | grep php’ no muestre nada.

7.- instala los siguientes paquetes de php4
Página de descarga

php4-ctype-4.4.0-79.1
php4-iconv-4.4.0-79.1
php4-mysql-4.4.0-79.1
apache2-mod_php4-4.4.0-79.1
php-ioncube-loader-1.2-06090618
php4-4.4.0-79.1
php4-domxml-4.4.0-79.1
php4-gettext-4.4.0-79.1
php4-imap-4.4.0-79.1
php4-mcrypt-4.4.0-79.1
php4-zlib-4.4.0-79.1
php4-xslt-4.4.0-79.1
php4-session-4.4.0-79.1
php4-gd-4.4.0-79.1
php4-mbstring-4.4.0-79.1
php4-curl-4.4.0-79.1
php4-sockets-4.4.0-79.1
8.- Una vez realizado el anterior paso, descarguen el paquete completo de plesk ( 2ooM y algo mas). Para poder descargarlo tienen que registrarse aqui y descargar la version de plesk correspondiente a la distribución de linux que tengas.

8.- Descomprime el paquete e ingresa a la carpeta ‘thirdparty’ ahi encontraras una serie de paquetes correspondientes a la version de php4 y php5, instala todos los que correspondan a php4.

contenido de la carpeta: +++++++++++++++++++++++

ioncube-php4-configurator-1.0.0-suse10.1.build80060724.12.noarch.rpm
ioncube-php5-configurator-1.0.0-suse10.1.build80060724.12.noarch.rpm
j2sdk-1_4_2-linux-i586.rpm
php-ioncube-loader-1.2-06090618.x86_64.rpm
php4-sqlite2-1.0.2-200609071939.x86_64.rpm
php5-ioncube-loader-1.2-06090618.x86_64.rpm
php5-sqlite2-5.0.4-200609072000.x86_64.rpm
psa-php4-configurator-1.1.0-suse10.1.build80060911.14.noarch.rpm
psa-php5-configurator-1.1.0-suse10.1.build80060911.14.noarch.rpm
tcp-env-0.1-1.swsoft.x86_64.rpm
++++++++++++++++++++++++++++++++++++++++
Nota: si la carpeta se encuentra vacia. Descarga la version 8 de plesk y solicita a plesk que te envien este paquete(que corresponda a la version de tu distribucion):

psa-php4-configurator-1.0.0-suse10.1.build81060821.11

9.- Listo, ya tienes que tener todo funcionando. Si no es asi y en el momento de ejecutar php en el navegador te muestra una ventana para descargar el archivo, como sabras el modulo de php no esta activo en apache.

Para activarlo busca el archivo ‘httpd.conf‘ (archivo de configuracion de apache) y antes que nada lee muy bienen que archivo son invocados los modulos, en el caso de suse 10.1 el archivo es el siguiente:

/etc/sysconfig/apache2

En donde por la linea 84 se encuentra la invocacion de php5 solo cambien el numero, tendria que verse asi php4

guarden y reinicien apache

/etc/init.d/
./apache2 stop
./apache2 start

Anuncios

3 comentarios to “Instalar Plesk 8.1.0 con php4 en SuSE 10.1”

  1. Te pedo hacer una consultas sobre Plesk 8.1.1 y php4 sobre Fedora5

  2. que pregunta es ?, haber si te puedo ayudar con algo.

  3. quiero encontrar la configuracion de apache la version 8 de suse
    necesito respuesta urgente


Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: